TeamSpeak Emergency

Hello everyone, recently we’ve encountered a group of people that come into the TeamSpeak spamming a set of characters to crash any clients that are updated to 3.3.0 (most recent version of TeamSpeak). Due to this happening we recommend that you downgrade to a lower client, 3.2.5 this will prevent you from being crashed from the set of characters on the TeamSpeak!

Links provided to these versions are below…
Teamspeak 3 Linux AMD64
Teamspeak 3 Linux x86
Teamspeak 3 Client Macosx 
Teamspeak 3 Client Win32
Teamspeak 3 Client Win64

David

Originally an Admin Trainer Advisor for Prestige Gaming, David joined EdgeGamers during the Prestige Gaming merge of May 2018. He currently leads our writing and news personnel for the EdgeGamers Media Team.